monitored
=========

Prepare remote machine for monitoring with Naemon/Nagios/Icinga via NRPE and/or SSH

Requirements
------------

- Role "epel" for RedHat-like systems
- Role "prepare-dnf5" for RedHat-like system with DNF version 5

Role Variables
--------------

Defaults (config/overwrite required):
- `monitored_by_nrpe` (defaults: `false`): install/configure NRPE
- `monitored_by_ssh` (defaults: `false`): install/configure SSH incl. wrapper
  script
- `monitored_server_ips` (defaults: `[127.0.0.1,]`: list(!) of monitoring server
  ips

Required for SSH:
- `monitored_ssh_key_files` (defaults: `[]`): list(!) of SSH key strings(!)

Common variables:
- `monitored_packages_install` (defaults: `true`): install plugings
- `monitored_sudo_file` (defaults: `/etc/sudoers.d/monitored`): sudoers file
- `monitored_sudo_commands`: list of `sudoers` config lines
- `monitored_packages_additional(_nrpe|_ssh)`: additional packages to install
- `monitored_plugins_custom`: additional plugin scripts to copy
- `monitored_plugins_custom_path` (defaults: `/usr/local/plugins/`): path for
  additional plugins

NRPE:
- `monitored_nrpe_*`: NRPE config variables

SSH:
- `monitored_ssh_key_wrapper`: local path/filename of wrapper
- `monitored_ssh_key_wrapper_src`: remote path and filename of wrapper
- `monitored_ssh_key_wrapper_*`: file attributes of wrapper

Example Playbook
----------------

    - hosts: all
      roles:
        - role: monitored
          when: monitored_dont|default(false) != true

License
-------

GPL-2.0-or-later

Author Information
------------------

Sven Velt - <sven-ansiblerole@velt.biz>
https://git.velt.biz/velt.biz/
